#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module	gdata
Summary:	Google Data API for Python
Summary(pl.UTF-8):	API Google Data dla Pythona
Name:		python-%{module}
Version:	2.0.18
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/gdata
Source0:	https://pypi.python.org/packages/source/g/gdata/%{module}-%{version}.tar.gz
# Source0-md5:	13b6e6dd8f9e3e9a8e005e05a8329408
URL:		https://github.com/google/gdata-python-client
BuildRequires:	python >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Google Data Python Client Library provides a library and source
code that make it easy to access data through Google Data APIs.

%description -l pl.UTF-8
Projekt Google Data Python Client Library udostępnia wraz z kodem
bibliotekę ułatwiającą dostęp do danych poprzez API Google Data.

%package apidocs
Summary:	Google Data Python module documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja modułu Pythona Google Data w formacie HTML
Group:		Documentation

%description apidocs
Google Data Python module documentation in HTML format.

%description apidocs -l pl.UTF-8
Dokumentacja modułu Pythona Google Data w formacie HTML.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/build-2/lib %{__python} tests/run_data_tests.py
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

cp -pr samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt RELEASE_NOTES.txt
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/atom
%{py_sitescriptdir}/gdata-*.egg-info
%{_examplesdir}/%{name}-%{version}

%files apidocs
%defattr(644,root,root,755)
%doc pydocs/*.html
%changelog
* Wed Apr 19 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gdata.git;a=log;h=master

* Wed Apr 19 2017 Jakub Bogusz <qboosh@pld-linux.org> f7fd580
- updated to 2.0.18

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> dda25c7
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a3536ad
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e4e9624
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d7dd8d1
- automatic change: use py_build/py_install macros

* Fri Mar 01 2013 Łukasz Kieś <kiesiu@pld-linux.org> ea3b479
- release 2 (by relup.sh)

* Fri Apr 20 2012 Caleb Maclennan <caleb@alerque.com> 7c26209
- Up to 2.0.17

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> c6c3132
- Up to 2.0.16

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 3534777
- up to 2.0.14

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 24cf452
- Up to 2.0.13

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> c56c77a
- release 2

* Mon Sep 20 2010 Caleb Maclennan <caleb@alerque.com> b54b14f
- Up to 2.0.12

* Sat Jul 31 2010 Caleb Maclennan <caleb@alerque.com> a564ecb
- Up to 2.0.11 (Note: Initial upstream taball was broken, this is the seocnd upload of this release, hence the inconsistent tarbal filename.)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b4e23d
- release 2

* Mon Jun 21 2010 Caleb Maclennan <caleb@alerque.com> 0047c73
- Up to 2.0.10
- Upstream project droped the redundant .py from files

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 5c284ef
- BR: python-devel

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> fa4ffae
- up to 1.2.4

* Fri Oct 24 2008 aredridel <aredridel@pld-linux.org> 61bb826
- 1.2.2

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0976eeb
- release 2

* Tue Apr 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 1f57155
- pl, unified

